diff --git a/sim/arm/ChangeLog b/sim/arm/ChangeLog
index d12df6c..d2705de 100644
--- a/sim/arm/ChangeLog
+++ b/sim/arm/ChangeLog
@@ -1,3 +1,7 @@
+2015-03-31  Mike Frysinger  <vapier@gentoo.org>
+
+	* config.in, configure: Regenerate.
+
 2015-03-30  Mike Frysinger  <vapier@gentoo.org>
 
 	* Makefile.in (SIM_RUN_OBJS): Delete.
diff --git a/sim/arm/config.in b/sim/arm/config.in
index 6003e58..3152bea 100644
diff --git a/sim/arm/configure b/sim/arm/configure
index af6e579..ed1633e 100755
diff --git a/sim/avr/ChangeLog b/sim/avr/ChangeLog
index b8fa775..a4bce1a 100644
--- a/sim/avr/ChangeLog
+++ b/sim/avr/ChangeLog
@@ -1,3 +1,7 @@
+2015-03-31  Mike Frysinger  <vapier@gentoo.org>
+
+	* config.in, configure: Regenerate.
+
 2015-03-28  Mike Frysinger  <vapier@gentoo.org>
 
 	* Makefile.in (SIM_EXTRA_CFLAGS, SIM_RUN_OBJS, SIM_EXTRA_LIBS): Delete.
diff --git a/sim/avr/config.in b/sim/avr/config.in
index 6003e58..3152bea 100644
diff --git a/sim/avr/configure b/sim/avr/configure
index c5f7a71..e394faf 100755
diff --git a/sim/bfin/ChangeLog b/sim/bfin/ChangeLog
index d0615a8..921be9d 100644
--- a/sim/bfin/ChangeLog
+++ b/sim/bfin/ChangeLog
@@ -1,3 +1,7 @@
+2015-03-31  Mike Frysinger  <vapier@gentoo.org>
+
+	* config.in, configure: Regenerate.
+
 2015-03-24  Mike Frysinger  <vapier@gentoo.org>
 
 	* configure: Regenerate.
diff --git a/sim/bfin/config.in b/sim/bfin/config.in
index 20a094e..6b995a7 100644
diff --git a/sim/bfin/configure b/sim/bfin/configure
index 2aa9563..5fe2c37 100755
diff --git a/sim/common/ChangeLog b/sim/common/ChangeLog
index f4ca558..55a3d37 100644
--- a/sim/common/ChangeLog
+++ b/sim/common/ChangeLog
@@ -1,5 +1,12 @@
 2015-03-31  Mike Frysinger  <vapier@gentoo.org>
 
+	* config.in, configure: Regenerate.
+	* Make-common.in (CSEARCH): Add $(ZLIBINC).
+	(ZLIB, ZLIBINC): Define.
+	(BFD_LIB): Add $(ZLIB).
+
+2015-03-31  Mike Frysinger  <vapier@gentoo.org>
+
 	* cgen-mem.h (MEMOPS_INLINE): Change to EXTERN_INLINE.
 	* cgen-ops.h (SEMOPS_INLINE): Likewise.
 
diff --git a/sim/common/Make-common.in b/sim/common/Make-common.in
index 734461a..345d1db 100644
--- a/sim/common/Make-common.in
+++ b/sim/common/Make-common.in
@@ -248,14 +248,16 @@ CSEARCH = -I. -I$(srcdir) -I../common -I$(srccom) \
   -I../../include -I$(srcroot)/include \
   -I../../bfd -I$(srcroot)/bfd \
   -I../../opcodes -I$(srcroot)/opcodes \
-  @INCINTL@
+  @INCINTL@ $(ZLIBINC)
 ALL_CFLAGS = $(CONFIG_CFLAGS) $(CSEARCH) $(CFLAGS)
 BUILD_CFLAGS = -g -O $(CSEARCH)
 
 COMMON_DEP_CFLAGS = $(CONFIG_CFLAGS) $(CSEARCH)
 
+ZLIB = @zlibdir@ -lz
+ZLIBINC = @zlibinc@
 LIBIBERTY_LIB = ../../libiberty/libiberty.a
-BFD_LIB = ../../bfd/libbfd.a
+BFD_LIB = ../../bfd/libbfd.a $(ZLIB)
 @PLUGINS_TRUE@LIBDL = @lt_cv_dlopen_libs@
 OPCODES_LIB = ../../opcodes/libopcodes.a
 LIBINTL = @LIBINTL@
diff --git a/sim/common/config.in b/sim/common/config.in
index e0ca8ae..1904046 100644
diff --git a/sim/common/configure b/sim/common/configure
index db5f661..ce79060 100755
diff --git a/sim/cr16/config.in b/sim/cr16/config.in
index 6003e58..3152bea 100644
diff --git a/sim/cr16/configure b/sim/cr16/configure
index af6e579..ed1633e 100755
diff --git a/sim/cris/ChangeLog b/sim/cris/ChangeLog
index 4a8d181..26e9752 100644
--- a/sim/cris/ChangeLog
+++ b/sim/cris/ChangeLog
@@ -1,3 +1,7 @@
+2015-03-31  Mike Frysinger  <vapier@gentoo.org>
+
+	* config.in, configure: Regenerate.
+
 2015-03-24  Mike Frysinger  <vapier@gentoo.org>
 
 	* configure: Regenerate.
diff --git a/sim/cris/config.in b/sim/cris/config.in
index c333731..d2184e6 100644
diff --git a/sim/cris/configure b/sim/cris/configure
index 7b3795c..e3f7e6e 100755
diff --git a/sim/d10v/config.in b/sim/d10v/config.in
index 6003e58..3152bea 100644
diff --git a/sim/d10v/configure b/sim/d10v/configure
index af6e579..ed1633e 100755
diff --git a/sim/erc32/ChangeLog b/sim/erc32/ChangeLog
index 35f0703..5879674 100644
--- a/sim/erc32/ChangeLog
+++ b/sim/erc32/ChangeLog
@@ -1,3 +1,7 @@
+2015-03-31  Mike Frysinger  <vapier@gentoo.org>
+
+	* config.in, configure: Regenerate.
+
 2015-03-28  Jiri Gaisler  <jiri@gaisler.se>
 
 	* func.c (exec_cmd): Fix old style prototype.  Mark cmd const.  Save
diff --git a/sim/erc32/config.in b/sim/erc32/config.in
index 6003e58..3152bea 100644
diff --git a/sim/erc32/configure b/sim/erc32/configure
index 6b1f4bb..f359b4e 100755
diff --git a/sim/frv/ChangeLog b/sim/frv/ChangeLog
index 3a745e3..2b5e74c 100644
--- a/sim/frv/ChangeLog
+++ b/sim/frv/ChangeLog
@@ -1,3 +1,7 @@
+2015-03-31  Mike Frysinger  <vapier@gentoo.org>
+
+	* config.in, configure: Regenerate.
+
 2015-03-24  Mike Frysinger  <vapier@gentoo.org>
 
 	* configure: Regenerate.
diff --git a/sim/frv/config.in b/sim/frv/config.in
index bf39e2d..99be0a6 100644
diff --git a/sim/frv/configure b/sim/frv/configure
index 35e307d..ea25101 100755
diff --git a/sim/ft32/ChangeLog b/sim/ft32/ChangeLog
index 1479658..7e87c63 100644
--- a/sim/ft32/ChangeLog
+++ b/sim/ft32/ChangeLog
@@ -1,3 +1,7 @@
+2015-03-31  Mike Frysinger  <vapier@gentoo.org>
+
+	* config.in, configure: Regenerate.
+
 2015-03-28  James Bowman  <james.bowman@ftdichip.com>
 
 	* Makefile.in: New file, FT32 sim Makefile.
diff --git a/sim/ft32/config.in b/sim/ft32/config.in
index 6003e58..3152bea 100644
diff --git a/sim/ft32/configure b/sim/ft32/configure
index 1d18263..4ba8649 100755
diff --git a/sim/h8300/ChangeLog b/sim/h8300/ChangeLog
index 7fff0bd..037568b 100644
--- a/sim/h8300/ChangeLog
+++ b/sim/h8300/ChangeLog
@@ -1,3 +1,7 @@
+2015-03-31  Mike Frysinger  <vapier@gentoo.org>
+
+	* config.in, configure: Regenerate.
+
 2015-03-24  Mike Frysinger  <vapier@gentoo.org>
 
 	* compile.c (sim_set_callbacks, sim_size, sim_trace): Delete.
diff --git a/sim/h8300/config.in b/sim/h8300/config.in
index 27216dc..d64ad48 100644
diff --git a/sim/h8300/configure b/sim/h8300/configure
index 37b2d87..9e21d9a 100755
diff --git a/sim/igen/ChangeLog b/sim/igen/ChangeLog
index 8c3f660..0553434 100644
--- a/sim/igen/ChangeLog
+++ b/sim/igen/ChangeLog
@@ -1,3 +1,7 @@
+2015-03-31  Mike Frysinger  <vapier@gentoo.org>
+
+	* configure: Regenerate.
+
 2014-11-23  Joel Sherrill  <joel.sherrill@oarcorp.com>
 
 	* igen/ld-cache.h, igen/table.h: Change immediatly to immediately.
diff --git a/sim/igen/configure b/sim/igen/configure
index 32f1154..b910afc 100755
diff --git a/sim/iq2000/ChangeLog b/sim/iq2000/ChangeLog
index b2b91ff..76d20c2 100644
--- a/sim/iq2000/ChangeLog
+++ b/sim/iq2000/ChangeLog
@@ -1,3 +1,7 @@
+2015-03-31  Mike Frysinger  <vapier@gentoo.org>
+
+	* config.in, configure: Regenerate.
+
 2015-03-24  Mike Frysinger  <vapier@gentoo.org>
 
 	* configure: Regenerate.
diff --git a/sim/iq2000/config.in b/sim/iq2000/config.in
index bf39e2d..99be0a6 100644
diff --git a/sim/iq2000/configure b/sim/iq2000/configure
index 37b6bac..a899df1 100755
diff --git a/sim/lm32/ChangeLog b/sim/lm32/ChangeLog
index 8d917b4..e777204 100644
--- a/sim/lm32/ChangeLog
+++ b/sim/lm32/ChangeLog
@@ -1,3 +1,7 @@
+2015-03-31  Mike Frysinger  <vapier@gentoo.org>
+
+	* config.in, configure: Regenerate.
+
 2015-03-24  Mike Frysinger  <vapier@gentoo.org>
 
 	* configure: Regenerate.
diff --git a/sim/lm32/config.in b/sim/lm32/config.in
index bf39e2d..99be0a6 100644
diff --git a/sim/lm32/configure b/sim/lm32/configure
index d1110fa..c7fa1a1 100755
diff --git a/sim/m32c/ChangeLog b/sim/m32c/ChangeLog
index 9e2adcc..ea4925a 100644
--- a/sim/m32c/ChangeLog
+++ b/sim/m32c/ChangeLog
@@ -1,3 +1,7 @@
+2015-03-31  Mike Frysinger  <vapier@gentoo.org>
+
+	* config.in, configure: Regenerate.
+
 2015-03-16  Mike Frysinger  <vapier@gentoo.org>
 
 	* aclocal.m4, config.in, configure: Regenerate.
diff --git a/sim/m32c/config.in b/sim/m32c/config.in
index 02a82ae..7d73557 100644
diff --git a/sim/m32c/configure b/sim/m32c/configure
index ca46b2b..ba4ae74 100755
diff --git a/sim/m32r/ChangeLog b/sim/m32r/ChangeLog
index 96a3705..5e0615d 100644
--- a/sim/m32r/ChangeLog
+++ b/sim/m32r/ChangeLog
@@ -1,3 +1,7 @@
+2015-03-31  Mike Frysinger  <vapier@gentoo.org>
+
+	* config.in, configure: Regenerate.
+
 2015-03-24  Mike Frysinger  <vapier@gentoo.org>
 
 	* sim-if.c (sim_open): Delete dv_sockser_install call.
diff --git a/sim/m32r/config.in b/sim/m32r/config.in
index bf39e2d..99be0a6 100644
diff --git a/sim/m32r/configure b/sim/m32r/configure
index cfce044..b235329 100755
diff --git a/sim/m68hc11/config.in b/sim/m68hc11/config.in
index bf39e2d..99be0a6 100644
diff --git a/sim/m68hc11/configure b/sim/m68hc11/configure
index 1fccfb5..a601a39 100755
diff --git a/sim/mcore/ChangeLog b/sim/mcore/ChangeLog
index f24032e..73279fb 100644
--- a/sim/mcore/ChangeLog
+++ b/sim/mcore/ChangeLog
@@ -1,3 +1,7 @@
+2015-03-31  Mike Frysinger  <vapier@gentoo.org>
+
+	* config.in, configure: Regenerate.
+
 2015-03-29  Mike Frysinger  <vapier@gentoo.org>
 
 	* interp.c (struct aout, LONG, SHORT): Delete.
diff --git a/sim/mcore/config.in b/sim/mcore/config.in
index 6003e58..3152bea 100644
diff --git a/sim/mcore/configure b/sim/mcore/configure
index af6e579..ed1633e 100755
diff --git a/sim/microblaze/ChangeLog b/sim/microblaze/ChangeLog
index 565359e..166262c 100644
--- a/sim/microblaze/ChangeLog
+++ b/sim/microblaze/ChangeLog
@@ -1,3 +1,7 @@
+2015-03-31  Mike Frysinger  <vapier@gentoo.org>
+
+	* config.in, configure: Regenerate.
+
 2015-03-29  Mike Frysinger  <vapier@gentoo.org>
 
 	* Makefile.in (SIM_RUN_OBJS, SIM_EXTRA_CFLAGS, SIM_EXTRA_LIBS): Delete.
diff --git a/sim/microblaze/config.in b/sim/microblaze/config.in
index 6003e58..3152bea 100644
diff --git a/sim/microblaze/configure b/sim/microblaze/configure
index af6e579..ed1633e 100755
diff --git a/sim/mips/ChangeLog b/sim/mips/ChangeLog
index cf2c8cc..8130c05 100644
--- a/sim/mips/ChangeLog
+++ b/sim/mips/ChangeLog
@@ -1,3 +1,7 @@
+2015-03-31  Mike Frysinger  <vapier@gentoo.org>
+
+	* config.in, configure: Regenerate.
+
 2015-03-24  Mike Frysinger  <vapier@gentoo.org>
 
 	* interp.c (sim_pc_get): New function.
diff --git a/sim/mips/config.in b/sim/mips/config.in
index f5a103d..e6e3dc3 100644
diff --git a/sim/mips/configure b/sim/mips/configure
index 03f34f2..6417995 100755
diff --git a/sim/mn10300/ChangeLog b/sim/mn10300/ChangeLog
index 726399c..838bdac 100644
--- a/sim/mn10300/ChangeLog
+++ b/sim/mn10300/ChangeLog
@@ -1,3 +1,7 @@
+2015-03-31  Mike Frysinger  <vapier@gentoo.org>
+
+	* config.in, configure: Regenerate.
+
 2015-03-24  Mike Frysinger  <vapier@gentoo.org>
 
 	* interp.c (sim_pc_get): New function.
diff --git a/sim/mn10300/config.in b/sim/mn10300/config.in
index f6a87f1..e4603ad 100644
diff --git a/sim/mn10300/configure b/sim/mn10300/configure
index d539b06..e0fcc5f 100755
diff --git a/sim/moxie/ChangeLog b/sim/moxie/ChangeLog
index 29ef692..543ff11 100644
--- a/sim/moxie/ChangeLog
+++ b/sim/moxie/ChangeLog
@@ -1,3 +1,7 @@
+2015-03-31  Mike Frysinger  <vapier@gentoo.org>
+
+	* config.in, configure: Regenerate.
+
 2015-03-24  Mike Frysinger  <vapier@gentoo.org>
 
 	* interp.c (moxie_extract_unsigned_integer): Mark static.  Update
diff --git a/sim/moxie/config.in b/sim/moxie/config.in
index 6003e58..3152bea 100644
diff --git a/sim/moxie/configure b/sim/moxie/configure
index efd1e06..bddd8c9 100755
diff --git a/sim/msp430/ChangeLog b/sim/msp430/ChangeLog
index 7e67082..4f2793d 100644
--- a/sim/msp430/ChangeLog
+++ b/sim/msp430/ChangeLog
@@ -1,3 +1,7 @@
+2015-03-31  Mike Frysinger  <vapier@gentoo.org>
+
+	* config.in, configure: Regenerate.
+
 2015-03-23  Mike Frysinger  <vapier@gentoo.org>
 
 	* sim-main.h: Delete run-sim.h include.
diff --git a/sim/msp430/config.in b/sim/msp430/config.in
index df5c0d3..531fe19 100644
diff --git a/sim/msp430/configure b/sim/msp430/configure
index af8b6bf..3f514bd 100755
diff --git a/sim/ppc/ChangeLog b/sim/ppc/ChangeLog
index fa628bb..51963846 100644
--- a/sim/ppc/ChangeLog
+++ b/sim/ppc/ChangeLog
@@ -1,3 +1,10 @@
+2015-03-31  Mike Frysinger  <vapier@gentoo.org>
+
+	* config.in, configure: Regenerate.
+	* Makefile.in (INCLUDES): Add $(ZLIBINC).
+	(ZLIB, ZLIBINC): Define.
+	(BFD_LIB): Add $(ZLIB).
+
 2014-11-23  Joel Sherrill <joel.sherrill@oarcorp.com>
 
 	* ChangeLog, ChangeLog.00, hw_com.c, ld-cache.h, ppc-instructions:
diff --git a/sim/ppc/Makefile.in b/sim/ppc/Makefile.in
index 740bdb0..92a5812 100644
--- a/sim/ppc/Makefile.in
+++ b/sim/ppc/Makefile.in
@@ -152,11 +152,13 @@ MAKEOVERRIDES=
 LIB_INCLUDES	= -I$(srcdir)/../../include
 BFD_INCLUDES	= -I../../bfd -I$(srcdir)/../../bfd
 GDB_INCLUDES	= -I../../gdb -I$(srcdir)/../../gdb  -I$(srcdir)/../../gdb/config
+ZLIBINC		= @zlibinc@
 
-INCLUDES	= -I. -I$(srcdir) $(LIB_INCLUDES) $(BFD_INCLUDES) $(GDB_INCLUDES)
+INCLUDES	= -I. -I$(srcdir) $(LIB_INCLUDES) $(BFD_INCLUDES) $(GDB_INCLUDES) $(ZLIBINC)
 
 LIBIBERTY_LIB	= ../../libiberty/libiberty.a
-BFD_LIB		= ../../bfd/libbfd.a
+BFD_LIB		= ../../bfd/libbfd.a $(ZLIB)
+ZLIB		= @zlibdir@ -lz
 
 LIBINTL = @LIBINTL@
 LIBINTL_DEP = @LIBINTL_DEP@
diff --git a/sim/ppc/config.in b/sim/ppc/config.in
index b0c9e6f..02c7bf0 100644
diff --git a/sim/ppc/configure b/sim/ppc/configure
index 5044383..85ce1a0 100755
diff --git a/sim/rl78/ChangeLog b/sim/rl78/ChangeLog
index 889c320..0bf54ca 100644
--- a/sim/rl78/ChangeLog
+++ b/sim/rl78/ChangeLog
@@ -1,3 +1,7 @@
+2015-03-31  Mike Frysinger  <vapier@gentoo.org>
+
+	* config.in, configure: Regenerate.
+
 2015-03-23  Nick Clifton  <nickc@redhat.com>
 
 	* cpu.c (rl78_g10_mode): Declare.
diff --git a/sim/rl78/config.in b/sim/rl78/config.in
index df5c0d3..531fe19 100644
diff --git a/sim/rl78/configure b/sim/rl78/configure
index 752cbcb..d537163 100755
diff --git a/sim/rx/ChangeLog b/sim/rx/ChangeLog
index 90a36e0..e8c3e54 100644
--- a/sim/rx/ChangeLog
+++ b/sim/rx/ChangeLog
@@ -1,3 +1,7 @@
+2015-03-31  Mike Frysinger  <vapier@gentoo.org>
+
+	* config.in, configure: Regenerate.
+
 2015-03-16  Mike Frysinger  <vapier@gentoo.org>
 
 	* aclocal.m4, config.in, configure: Regenerate.
diff --git a/sim/rx/config.in b/sim/rx/config.in
index f7ccc45..077a1e8 100644
diff --git a/sim/rx/configure b/sim/rx/configure
index 7f5e70a..87b6efe 100755
diff --git a/sim/sh/ChangeLog b/sim/sh/ChangeLog
index 8a37e4c..64c5741 100644
--- a/sim/sh/ChangeLog
+++ b/sim/sh/ChangeLog
@@ -1,3 +1,7 @@
+2015-03-31  Mike Frysinger  <vapier@gentoo.org>
+
+	* config.in, configure: Regenerate.
+
 2015-03-28  Mike Frysinger  <vapier@gentoo.org>
 
 	* Makefile.in (SIM_RUN_OBJS, SIM_EXTRA_CFLAGS): Delete.
diff --git a/sim/sh/config.in b/sim/sh/config.in
index 6003e58..3152bea 100644
diff --git a/sim/sh/configure b/sim/sh/configure
index af6e579..ed1633e 100755
diff --git a/sim/sh64/ChangeLog b/sim/sh64/ChangeLog
index beda6be..b449969 100644
--- a/sim/sh64/ChangeLog
+++ b/sim/sh64/ChangeLog
@@ -1,3 +1,7 @@
+2015-03-31  Mike Frysinger  <vapier@gentoo.org>
+
+	* config.in, configure: Regenerate.
+
 2015-03-24  Mike Frysinger  <vapier@gentoo.org>
 
 	* tconfig.h (SIM_HAVE_BIENDIAN): Delete.
diff --git a/sim/sh64/config.in b/sim/sh64/config.in
index bf39e2d..99be0a6 100644
diff --git a/sim/sh64/configure b/sim/sh64/configure
index 87e270e..e186188 100755
diff --git a/sim/v850/ChangeLog b/sim/v850/ChangeLog
index aa3f014..22ed5b6 100644
--- a/sim/v850/ChangeLog
+++ b/sim/v850/ChangeLog
@@ -1,3 +1,7 @@
+2015-03-31  Mike Frysinger  <vapier@gentoo.org>
+
+	* config.in, configure: Regenerate.
+
 2015-03-24  Mike Frysinger  <vapier@gentoo.org>
 
 	* interp.c (sim_pc_get): New function.