diff --git a/sim/arm/ChangeLog b/sim/arm/ChangeLog
index fbb78ec..cb5b1cf 100644
--- a/sim/arm/ChangeLog
+++ b/sim/arm/ChangeLog
@@ -1,3 +1,7 @@
+2015-04-18  Mike Frysinger  <vapier@gentoo.org>
+
+	* sim-main.h (sim_cia): Delete.
+
 2015-04-17  Mike Frysinger  <vapier@gentoo.org>
 
 	* sim-main.h (CIA_GET, CIA_SET): Delete.
diff --git a/sim/arm/sim-main.h b/sim/arm/sim-main.h
index 087ddd5..ae622bd 100644
--- a/sim/arm/sim-main.h
+++ b/sim/arm/sim-main.h
@@ -21,8 +21,6 @@
 
 #include "sim-basics.h"
 
-typedef address_word sim_cia;
-
 typedef struct _sim_cpu SIM_CPU;
 
 #include "sim-base.h"
diff --git a/sim/avr/ChangeLog b/sim/avr/ChangeLog
index 81bab3b..9b4ca2a 100644
--- a/sim/avr/ChangeLog
+++ b/sim/avr/ChangeLog
@@ -1,3 +1,7 @@
+2015-04-18  Mike Frysinger  <vapier@gentoo.org>
+
+	* sim-main.h (sim_cia): Delete.
+
 2015-04-17  Mike Frysinger  <vapier@gentoo.org>
 
 	* sim-main.h (CIA_GET, CIA_SET): Delete.
diff --git a/sim/avr/sim-main.h b/sim/avr/sim-main.h
index 6b49b8d..52904e3 100644
--- a/sim/avr/sim-main.h
+++ b/sim/avr/sim-main.h
@@ -21,7 +21,6 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.  */
 
 #include "sim-basics.h"
 
-typedef address_word sim_cia;
 extern unsigned int pc;
 
 typedef struct _sim_cpu SIM_CPU;
diff --git a/sim/bfin/ChangeLog b/sim/bfin/ChangeLog
index c27ef32..036db16 100644
--- a/sim/bfin/ChangeLog
+++ b/sim/bfin/ChangeLog
@@ -1,3 +1,7 @@
+2015-04-18  Mike Frysinger  <vapier@gentoo.org>
+
+	* sim-main.h (sim_cia): Delete.
+
 2015-04-17  Mike Frysinger  <vapier@gentoo.org>
 
 	* sim-main.h (CIA_GET, CIA_SET): Delete.
diff --git a/sim/bfin/sim-main.h b/sim/bfin/sim-main.h
index 614d1b6..1fbfa08 100644
--- a/sim/bfin/sim-main.h
+++ b/sim/bfin/sim-main.h
@@ -24,8 +24,6 @@
 #include "sim-basics.h"
 #include "sim-signal.h"
 
-typedef unsigned32 sim_cia;
-
 typedef struct _sim_cpu SIM_CPU;
 
 #include "bfin-sim.h"
diff --git a/sim/common/ChangeLog b/sim/common/ChangeLog
index d5c965c..f437768 100644
--- a/sim/common/ChangeLog
+++ b/sim/common/ChangeLog
@@ -1,3 +1,9 @@
+2015-04-18  Mike Frysinger  <vapier@gentoo.org>
+
+	* cgen-engine.h (CIA_ADDR): Delete.
+	* sim-base.h: Update sim_cia example.
+	[!CIA_ADDR] (sim_cia): New typedef.
+
 2015-04-17  Mike Frysinger  <vapier@gentoo.org>
 
 	* cgen-utils.c (cgen_rtx_error): Change CIA_GET to CPU_PC_GET.
diff --git a/sim/common/cgen-engine.h b/sim/common/cgen-engine.h
index 3de1407..70a4029 100644
--- a/sim/common/cgen-engine.h
+++ b/sim/common/cgen-engine.h
@@ -186,8 +186,6 @@ do { \
 
 #if WITH_SCACHE
 
-#define CIA_ADDR(cia) (cia)
-
 #if WITH_SCACHE_PBB
 
 /* Return the scache pointer of the current insn.  */
@@ -280,8 +278,6 @@ do { \
 
 /* This is the "simple" engine case.  */
 
-#define CIA_ADDR(cia) (cia)
-
 #define SEM_SEM_ARG(vpc, sc) (sc)
 
 #define SEM_NEXT_VPC(sem_arg, pc, len) ((pc) + (len))
diff --git a/sim/common/sim-base.h b/sim/common/sim-base.h
index 0dae541..e90e07c 100644
--- a/sim/common/sim-base.h
+++ b/sim/common/sim-base.h
@@ -28,9 +28,9 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.  */
    information), include ``sim-base.h'':
 
      #include "sim-basics.h"
-     typedef address_word sim_cia;
      /-* If `sim_cia' is not an integral value (e.g. a struct), define
          CIA_ADDR to return the integral value.  *-/
+     /-* typedef struct {...} sim_cia; *-/
      /-* #define CIA_ADDR(cia) (...) *-/
      #include "sim-base.h"
 
@@ -66,6 +66,7 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.  */
    (e.g. for delay slot handling).  */
 #ifndef CIA_ADDR
 #define CIA_ADDR(cia) (cia)
+typedef address_word sim_cia;
 #endif
 #ifndef INVALID_INSTRUCTION_ADDRESS
 #define INVALID_INSTRUCTION_ADDRESS ((address_word)0 - 1)
diff --git a/sim/cr16/ChangeLog b/sim/cr16/ChangeLog
index 260164f..8b15b74 100644
--- a/sim/cr16/ChangeLog
+++ b/sim/cr16/ChangeLog
@@ -1,3 +1,7 @@
+2015-04-18  Mike Frysinger  <vapier@gentoo.org>
+
+	* sim-main.h (sim_cia): Delete.
+
 2015-04-17  Mike Frysinger  <vapier@gentoo.org>
 
 	* sim-main.h (CIA_GET, CIA_SET): Delete.
diff --git a/sim/cr16/sim-main.h b/sim/cr16/sim-main.h
index 96254f1..1a80229 100644
--- a/sim/cr16/sim-main.h
+++ b/sim/cr16/sim-main.h
@@ -21,7 +21,6 @@
 
 #include "sim-basics.h"
 
-typedef address_word sim_cia;
 typedef long int           word;
 typedef unsigned long int  uword;
 
diff --git a/sim/cris/ChangeLog b/sim/cris/ChangeLog
index b8b1631..4c81975 100644
--- a/sim/cris/ChangeLog
+++ b/sim/cris/ChangeLog
@@ -1,3 +1,7 @@
+2015-04-18  Mike Frysinger  <vapier@gentoo.org>
+
+	* sim-main.h (sim_cia): Delete.
+
 2015-04-17  Mike Frysinger  <vapier@gentoo.org>
 
 	* crisv10f.c (deliver_interrupt): Change CIA_GET to CPU_PC_GET.
diff --git a/sim/cris/sim-main.h b/sim/cris/sim-main.h
index 5985308..7eb74b5 100644
--- a/sim/cris/sim-main.h
+++ b/sim/cris/sim-main.h
@@ -36,9 +36,6 @@ typedef struct _sim_cpu SIM_CPU;
 #include "cris-opc.h"
 #include "arch.h"
 
-/* These must be defined before sim-base.h.  */
-typedef USI sim_cia;
-
 #define SIM_ENGINE_HALT_HOOK(sd, cpu, cia) \
 do { \
   if (cpu) /* Null if ctrl-c.  */ \
diff --git a/sim/d10v/ChangeLog b/sim/d10v/ChangeLog
index bac73a2..a56d3ab 100644
--- a/sim/d10v/ChangeLog
+++ b/sim/d10v/ChangeLog
@@ -1,3 +1,7 @@
+2015-04-18  Mike Frysinger  <vapier@gentoo.org>
+
+	* sim-main.h (sim_cia): Delete.
+
 2015-04-17  Mike Frysinger  <vapier@gentoo.org>
 
 	* sim-main.h (CIA_GET, CIA_SET): Delete.
diff --git a/sim/d10v/sim-main.h b/sim/d10v/sim-main.h
index 7eb0b90..a7d59dd 100644
--- a/sim/d10v/sim-main.h
+++ b/sim/d10v/sim-main.h
@@ -21,7 +21,6 @@
 
 #include "sim-basics.h"
 
-typedef address_word sim_cia;
 typedef long int           word;
 typedef unsigned long int  uword;
 
diff --git a/sim/frv/ChangeLog b/sim/frv/ChangeLog
index 1724c35..750695f 100644
--- a/sim/frv/ChangeLog
+++ b/sim/frv/ChangeLog
@@ -1,3 +1,8 @@
+2015-04-18  Mike Frysinger  <vapier@gentoo.org>
+
+	* sim-main.h (sim_cia): Delete.
+	(frv_sim_engine_halt_hook): Move below includes.
+
 2015-04-17  Mike Frysinger  <vapier@gentoo.org>
 
 	* sim-main.h (CIA_GET, CIA_SET): Delete.
diff --git a/sim/frv/sim-main.h b/sim/frv/sim-main.h
index 275ac28..fd12c4f 100644
--- a/sim/frv/sim-main.h
+++ b/sim/frv/sim-main.h
@@ -40,10 +40,6 @@ typedef struct _sim_cpu SIM_CPU;
 #include "frv-opc.h"
 #include "arch.h"
 
-/* These must be defined before sim-base.h.  */
-typedef USI sim_cia;
-
-void frv_sim_engine_halt_hook (SIM_DESC, SIM_CPU *, sim_cia);
 #define SIM_ENGINE_HALT_HOOK(SD, LAST_CPU, CIA) \
   frv_sim_engine_halt_hook ((SD), (LAST_CPU), (CIA))
 
@@ -55,6 +51,8 @@ void frv_sim_engine_halt_hook (SIM_DESC, SIM_CPU *, sim_cia);
 #include "cache.h"
 #include "registers.h"
 #include "profile.h"
+
+void frv_sim_engine_halt_hook (SIM_DESC, SIM_CPU *, sim_cia);
 
 /* The _sim_cpu struct.  */
 
diff --git a/sim/ft32/ChangeLog b/sim/ft32/ChangeLog
index a391108..6274889 100644
--- a/sim/ft32/ChangeLog
+++ b/sim/ft32/ChangeLog
@@ -1,3 +1,7 @@
+2015-04-18  Mike Frysinger  <vapier@gentoo.org>
+
+	* sim-main.h (sim_cia): Delete.
+
 2015-04-17  Mike Frysinger  <vapier@gentoo.org>
 
 	* interp.c (ft32_read_item): Change CIA_GET to CPU_PC_GET.
diff --git a/sim/ft32/sim-main.h b/sim/ft32/sim-main.h
index a4f5f6d..a270a5d 100644
--- a/sim/ft32/sim-main.h
+++ b/sim/ft32/sim-main.h
@@ -22,9 +22,6 @@
 #define SIM_MAIN_H
 
 #include "sim-basics.h"
-
-typedef address_word sim_cia;
-
 #include "sim-base.h"
 #include "bfd.h"
 
diff --git a/sim/h8300/ChangeLog b/sim/h8300/ChangeLog
index 1cc28f5..814a835 100644
--- a/sim/h8300/ChangeLog
+++ b/sim/h8300/ChangeLog
@@ -1,3 +1,7 @@
+2015-04-18  Mike Frysinger  <vapier@gentoo.org>
+
+	* sim-main.h (sim_cia): Delete.
+
 2015-04-17  Mike Frysinger  <vapier@gentoo.org>
 
 	* sim-main.h (CIA_GET, CIA_SET): Delete.
diff --git a/sim/h8300/sim-main.h b/sim/h8300/sim-main.h
index 450f8ca..e95c4d9 100644
--- a/sim/h8300/sim-main.h
+++ b/sim/h8300/sim-main.h
@@ -88,9 +88,6 @@ enum h8_typecodes {
 
 #include "sim-basics.h"
 
-/* Define sim_cia.  */
-typedef unsigned32 sim_cia;
-
 typedef struct _sim_cpu SIM_CPU;
 
 #include "sim-base.h"
diff --git a/sim/iq2000/ChangeLog b/sim/iq2000/ChangeLog
index 44e5002..c9ea375 100644
--- a/sim/iq2000/ChangeLog
+++ b/sim/iq2000/ChangeLog
@@ -1,3 +1,7 @@
+2015-04-18  Mike Frysinger  <vapier@gentoo.org>
+
+	* sim-main.h (sim_cia): Delete.
+
 2015-04-17  Mike Frysinger  <vapier@gentoo.org>
 
 	* sim-main.h (CIA_GET, CIA_SET): Delete.
diff --git a/sim/iq2000/sim-main.h b/sim/iq2000/sim-main.h
index 29d4b62..ce3baba 100644
--- a/sim/iq2000/sim-main.h
+++ b/sim/iq2000/sim-main.h
@@ -23,9 +23,6 @@ typedef struct _sim_cpu SIM_CPU;
 /* Pull in IQ2000_{DATA,INSN}_{MASK,VALUE}.  */
 #include "elf/iq2000.h"
 
-/* These must be defined before sim-base.h.  */
-typedef USI sim_cia;
-
 #include "sim-base.h"
 #include "cgen-sim.h"
 #include "iq2000-sim.h"
diff --git a/sim/lm32/ChangeLog b/sim/lm32/ChangeLog
index e536d31..3109bbc 100644
--- a/sim/lm32/ChangeLog
+++ b/sim/lm32/ChangeLog
@@ -1,3 +1,7 @@
+2015-04-18  Mike Frysinger  <vapier@gentoo.org>
+
+	* sim-main.h (sim_cia): Delete.
+
 2015-04-17  Mike Frysinger  <vapier@gentoo.org>
 
 	* dv-lm32cpu.c (deliver_lm32cpu_interrupt): Change CIA_GET to
diff --git a/sim/lm32/sim-main.h b/sim/lm32/sim-main.h
index 52122d2..d37f74b 100644
--- a/sim/lm32/sim-main.h
+++ b/sim/lm32/sim-main.h
@@ -35,9 +35,6 @@ typedef struct _sim_cpu SIM_CPU;
 #include "lm32-opc.h"
 #include "arch.h"
 
-/* These must be defined before sim-base.h.  */
-typedef USI sim_cia;
-
 #define SIM_ENGINE_HALT_HOOK(sd, cpu, cia) \
 do { \
   if (cpu) /* null if ctrl-c */ \
diff --git a/sim/m32r/ChangeLog b/sim/m32r/ChangeLog
index d47cdfb..dc82037 100644
--- a/sim/m32r/ChangeLog
+++ b/sim/m32r/ChangeLog
@@ -1,3 +1,7 @@
+2015-04-18  Mike Frysinger  <vapier@gentoo.org>
+
+	* sim-main.h (sim_cia): Delete.
+
 2015-04-17  Mike Frysinger  <vapier@gentoo.org>
 
 	* sim-main.h (CIA_GET, CIA_SET): Delete.
diff --git a/sim/m32r/sim-main.h b/sim/m32r/sim-main.h
index 661d9cf..6839a41 100644
--- a/sim/m32r/sim-main.h
+++ b/sim/m32r/sim-main.h
@@ -15,9 +15,6 @@ typedef struct _sim_cpu SIM_CPU;
 #include "m32r-opc.h"
 #include "arch.h"
 
-/* These must be defined before sim-base.h.  */
-typedef USI sim_cia;
-
 #define SIM_ENGINE_HALT_HOOK(sd, cpu, cia) \
 do { \
   if (cpu) /* null if ctrl-c */ \
diff --git a/sim/m68hc11/ChangeLog b/sim/m68hc11/ChangeLog
index 714c000..a5c9c5a 100644
--- a/sim/m68hc11/ChangeLog
+++ b/sim/m68hc11/ChangeLog
@@ -1,3 +1,7 @@
+2015-04-18  Mike Frysinger  <vapier@gentoo.org>
+
+	* sim-main.h (sim_cia): Delete.
+
 2015-04-17  Mike Frysinger  <vapier@gentoo.org>
 
 	* sim-main.h (CIA_GET, CIA_SET): Delete.
diff --git a/sim/m68hc11/sim-main.h b/sim/m68hc11/sim-main.h
index ac57f98..4f41db9 100644
--- a/sim/m68hc11/sim-main.h
+++ b/sim/m68hc11/sim-main.h
@@ -26,8 +26,6 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.  */
 
 #include "sim-basics.h"
 
-typedef address_word sim_cia;
-
 typedef struct _sim_cpu SIM_CPU;
 
 #include "sim-signal.h"
diff --git a/sim/mcore/ChangeLog b/sim/mcore/ChangeLog
index 89f17d8..98ebb1e 100644
--- a/sim/mcore/ChangeLog
+++ b/sim/mcore/ChangeLog
@@ -1,3 +1,7 @@
+2015-04-18  Mike Frysinger  <vapier@gentoo.org>
+
+	* sim-main.h (sim_cia): Delete.
+
 2015-04-17  Mike Frysinger  <vapier@gentoo.org>
 
 	* interp.c (set_initial_gprs): Change CIA_SET to CPU_PC_SET.
diff --git a/sim/mcore/sim-main.h b/sim/mcore/sim-main.h
index f700059..25698c1 100644
--- a/sim/mcore/sim-main.h
+++ b/sim/mcore/sim-main.h
@@ -21,7 +21,6 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.  */
 
 #include "sim-basics.h"
 
-typedef address_word sim_cia;
 typedef long int           word;
 typedef unsigned long int  uword;
 
diff --git a/sim/microblaze/ChangeLog b/sim/microblaze/ChangeLog
index 7bfb657..560cc13 100644
--- a/sim/microblaze/ChangeLog
+++ b/sim/microblaze/ChangeLog
@@ -1,3 +1,7 @@
+2015-04-18  Mike Frysinger  <vapier@gentoo.org>
+
+	* sim-main.h (sim_cia): Delete.
+
 2015-04-17  Mike Frysinger  <vapier@gentoo.org>
 
 	* interp.c (issue_messages, wbat, wlat, what, rbat, rlat, rhat,
diff --git a/sim/microblaze/sim-main.h b/sim/microblaze/sim-main.h
index e5d2b15..4a5c5df 100644
--- a/sim/microblaze/sim-main.h
+++ b/sim/microblaze/sim-main.h
@@ -21,8 +21,6 @@
 #include "microblaze.h"
 #include "sim-basics.h"
 
-typedef address_word sim_cia;
-
 typedef struct _sim_cpu SIM_CPU;
 
 #include "sim-base.h"
diff --git a/sim/mips/ChangeLog b/sim/mips/ChangeLog
index 00f7871..177d1d3 100644
--- a/sim/mips/ChangeLog
+++ b/sim/mips/ChangeLog
@@ -1,3 +1,7 @@
+2015-04-18  Mike Frysinger  <vapier@gentoo.org>
+
+	* sim-main.h (sim_cia): Delete.
+
 2015-04-17  Mike Frysinger  <vapier@gentoo.org>
 
 	* dv-tx3904cpu.c (deliver_tx3904cpu_interrupt): Change CIA_GET to
diff --git a/sim/mips/sim-main.h b/sim/mips/sim-main.h
index 7a58bd3..8826857 100644
--- a/sim/mips/sim-main.h
+++ b/sim/mips/sim-main.h
@@ -34,8 +34,6 @@ mips_core_signal ((SD), (CPU), (CIA), (MAP), (NR_BYTES), (ADDR), (TRANSFER), (ER
 
 #include "sim-basics.h"
 
-typedef address_word sim_cia;
-
 typedef struct _sim_cpu SIM_CPU;
 
 #include "sim-base.h"
diff --git a/sim/mn10300/ChangeLog b/sim/mn10300/ChangeLog
index 91aa179..1b649e2 100644
--- a/sim/mn10300/ChangeLog
+++ b/sim/mn10300/ChangeLog
@@ -1,3 +1,8 @@
+2015-04-18  Mike Frysinger  <vapier@gentoo.org>
+
+	* sim-main.h (sim_cia): Delete.
+	(SIM_ADDR): Delete comment.
+
 2015-04-17  Mike Frysinger  <vapier@gentoo.org>
 
 	* dv-mn103cpu.c (deliver_mn103cpu_interrupt): Change CIA_GET to
diff --git a/sim/mn10300/sim-main.h b/sim/mn10300/sim-main.h
index 3781da0..2ddbfb9 100644
--- a/sim/mn10300/sim-main.h
+++ b/sim/mn10300/sim-main.h
@@ -42,13 +42,8 @@
 #include "itable.h"
 #include "idecode.h"
 
-typedef instruction_address sim_cia;
 typedef struct _sim_cpu SIM_CPU;
 
-/* FIXME: Perhaps igen should generate access macros for
-   `instruction_address' that we could use.  */
-/*#define CIA_ADDR(cia) ((cia).ip) doesn't work for mn10300*/
-
 #define WITH_WATCHPOINTS 1
 
 #define SIM_CORE_SIGNAL(SD,CPU,CIA,MAP,NR_BYTES,ADDR,TRANSFER,ERROR)  \
diff --git a/sim/moxie/ChangeLog b/sim/moxie/ChangeLog
index 6bdad25..6ea5fef 100644
--- a/sim/moxie/ChangeLog
+++ b/sim/moxie/ChangeLog
@@ -1,3 +1,7 @@
+2015-04-18  Mike Frysinger  <vapier@gentoo.org>
+
+	* sim-main.h (sim_cia): Delete.
+
 2015-04-17  Mike Frysinger  <vapier@gentoo.org>
 
 	* interp.c (wbat, wsat, wlat, rsat, rbat, rlat, sim_engine_run):
diff --git a/sim/moxie/sim-main.h b/sim/moxie/sim-main.h
index 3dd53ff..c60437e 100644
--- a/sim/moxie/sim-main.h
+++ b/sim/moxie/sim-main.h
@@ -22,8 +22,6 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.  */
 
 #include "sim-basics.h"
 
-typedef address_word sim_cia;
-
 typedef struct _sim_cpu SIM_CPU;
 
 #include "sim-base.h"
diff --git a/sim/msp430/ChangeLog b/sim/msp430/ChangeLog
index 4567039..ce81693 100644
--- a/sim/msp430/ChangeLog
+++ b/sim/msp430/ChangeLog
@@ -1,3 +1,7 @@
+2015-04-18  Mike Frysinger  <vapier@gentoo.org>
+
+	* sim-main.h (sim_cia): Delete.
+
 2015-04-17  Mike Frysinger  <vapier@gentoo.org>
 
 	* sim-main.h (CIA_GET, CIA_SET): Delete.
diff --git a/sim/msp430/sim-main.h b/sim/msp430/sim-main.h
index 73f4680..fdc4151 100644
--- a/sim/msp430/sim-main.h
+++ b/sim/msp430/sim-main.h
@@ -24,8 +24,6 @@
 #include "sim-basics.h"
 #include "sim-signal.h"
 
-typedef unsigned32 sim_cia;
-
 typedef struct _sim_cpu SIM_CPU;
 
 #include "msp430-sim.h"
diff --git a/sim/sh/ChangeLog b/sim/sh/ChangeLog
index 472597e..b776ad0d 100644
--- a/sim/sh/ChangeLog
+++ b/sim/sh/ChangeLog
@@ -1,3 +1,7 @@
+2015-04-18  Mike Frysinger  <vapier@gentoo.org>
+
+	* sim-main.h (sim_cia): Delete.
+
 2015-04-17  Mike Frysinger  <vapier@gentoo.org>
 
 	* sim-main.h (CIA_GET, CIA_SET): Delete.
diff --git a/sim/sh/sim-main.h b/sim/sh/sim-main.h
index 405f1cb..e2e17d7 100644
--- a/sim/sh/sim-main.h
+++ b/sim/sh/sim-main.h
@@ -21,8 +21,6 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.  */
 
 #include "sim-basics.h"
 
-typedef address_word sim_cia;
-
 typedef struct _sim_cpu SIM_CPU;
 
 #include "sim-base.h"
diff --git a/sim/sh64/ChangeLog b/sim/sh64/ChangeLog
index 45b8d3f..0dac7a7 100644
--- a/sim/sh64/ChangeLog
+++ b/sim/sh64/ChangeLog
@@ -1,3 +1,7 @@
+2015-04-18  Mike Frysinger  <vapier@gentoo.org>
+
+	* sim-main.h (CIA_ADDR): Define.
+
 2015-04-17  Mike Frysinger  <vapier@gentoo.org>
 
 	* sim-main.h (CIA_GET, CIA_SET): Delete.
diff --git a/sim/sh64/sim-main.h b/sim/sh64/sim-main.h
index 99f0406..8fb595e 100644
--- a/sim/sh64/sim-main.h
+++ b/sim/sh64/sim-main.h
@@ -21,6 +21,7 @@ typedef struct _sim_cpu SIM_CPU;
 
 /* These must be defined before sim-base.h.  */
 typedef UDI sim_cia;
+#define CIA_ADDR(cia) (cia)
 
 #include "sim-base.h"
 #include "cgen-sim.h"
diff --git a/sim/v850/ChangeLog b/sim/v850/ChangeLog
index dc3f38f..6b815d6 100644
--- a/sim/v850/ChangeLog
+++ b/sim/v850/ChangeLog
@@ -1,3 +1,7 @@
+2015-04-18  Mike Frysinger  <vapier@gentoo.org>
+
+	* sim-main.h (sim_cia): Delete.
+
 2015-04-17  Mike Frysinger  <vapier@gentoo.org>
 
 	* sim-main.h (CIA_GET, CIA_SET): Delete.
diff --git a/sim/v850/sim-main.h b/sim/v850/sim-main.h
index acdf1d7..16cbd97 100644
--- a/sim/v850/sim-main.h
+++ b/sim/v850/sim-main.h
@@ -17,8 +17,6 @@
 #include "sim-signal.h"
 #include "sim-fpu.h"
 
-typedef address_word sim_cia;
-
 typedef struct _sim_cpu SIM_CPU;
 
 #include "sim-base.h"