diff --git a/sim/arm/ChangeLog b/sim/arm/ChangeLog
index cb5b1cf..4d93210 100644
--- a/sim/arm/ChangeLog
+++ b/sim/arm/ChangeLog
@@ -1,5 +1,9 @@
 2015-04-18  Mike Frysinger  <vapier@gentoo.org>
 
+	* sim-main.h (SIM_CPU): Delete.
+
+2015-04-18  Mike Frysinger  <vapier@gentoo.org>
+
 	* sim-main.h (sim_cia): Delete.
 
 2015-04-17  Mike Frysinger  <vapier@gentoo.org>
diff --git a/sim/arm/sim-main.h b/sim/arm/sim-main.h
index ae622bd..9a37b98 100644
--- a/sim/arm/sim-main.h
+++ b/sim/arm/sim-main.h
@@ -20,9 +20,6 @@
 #define SIM_MAIN_H
 
 #include "sim-basics.h"
-
-typedef struct _sim_cpu SIM_CPU;
-
 #include "sim-base.h"
 #include "bfd.h"
 
diff --git a/sim/avr/ChangeLog b/sim/avr/ChangeLog
index 9b4ca2a..c486303 100644
--- a/sim/avr/ChangeLog
+++ b/sim/avr/ChangeLog
@@ -1,5 +1,9 @@
 2015-04-18  Mike Frysinger  <vapier@gentoo.org>
 
+	* sim-main.h (SIM_CPU): Delete.
+
+2015-04-18  Mike Frysinger  <vapier@gentoo.org>
+
 	* sim-main.h (sim_cia): Delete.
 
 2015-04-17  Mike Frysinger  <vapier@gentoo.org>
diff --git a/sim/avr/sim-main.h b/sim/avr/sim-main.h
index 52904e3..e0cac22 100644
--- a/sim/avr/sim-main.h
+++ b/sim/avr/sim-main.h
@@ -23,8 +23,6 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.  */
 
 extern unsigned int pc;
 
-typedef struct _sim_cpu SIM_CPU;
-
 #include "sim-base.h"
 
 struct _sim_cpu {
diff --git a/sim/bfin/ChangeLog b/sim/bfin/ChangeLog
index 036db16..64d20c3 100644
--- a/sim/bfin/ChangeLog
+++ b/sim/bfin/ChangeLog
@@ -1,5 +1,9 @@
 2015-04-18  Mike Frysinger  <vapier@gentoo.org>
 
+	* sim-main.h (SIM_CPU): Add note to clean this up.
+
+2015-04-18  Mike Frysinger  <vapier@gentoo.org>
+
 	* sim-main.h (sim_cia): Delete.
 
 2015-04-17  Mike Frysinger  <vapier@gentoo.org>
diff --git a/sim/bfin/sim-main.h b/sim/bfin/sim-main.h
index 1fbfa08..a3e4230 100644
--- a/sim/bfin/sim-main.h
+++ b/sim/bfin/sim-main.h
@@ -24,6 +24,8 @@
 #include "sim-basics.h"
 #include "sim-signal.h"
 
+/* TODO: Delete this.  Need to convert bu32/etc... to common sim types
+         and unwind the bfin-sim.h/machs.h include below first though.  */
 typedef struct _sim_cpu SIM_CPU;
 
 #include "bfin-sim.h"
diff --git a/sim/common/ChangeLog b/sim/common/ChangeLog
index f437768..858e432 100644
--- a/sim/common/ChangeLog
+++ b/sim/common/ChangeLog
@@ -1,5 +1,9 @@
 2015-04-18  Mike Frysinger  <vapier@gentoo.org>
 
+	* sim-base.h (SIM_CPU): New typedef.
+
+2015-04-18  Mike Frysinger  <vapier@gentoo.org>
+
 	* cgen-engine.h (CIA_ADDR): Delete.
 	* sim-base.h: Update sim_cia example.
 	[!CIA_ADDR] (sim_cia): New typedef.
diff --git a/sim/common/sim-base.h b/sim/common/sim-base.h
index e90e07c..21f61f4 100644
--- a/sim/common/sim-base.h
+++ b/sim/common/sim-base.h
@@ -72,6 +72,8 @@ typedef address_word sim_cia;
 #define INVALID_INSTRUCTION_ADDRESS ((address_word)0 - 1)
 #endif
 
+/* TODO: Probably should just delete SIM_CPU.  */
+typedef struct _sim_cpu SIM_CPU;
 typedef struct _sim_cpu sim_cpu;
 
 #include "sim-module.h"
diff --git a/sim/cr16/ChangeLog b/sim/cr16/ChangeLog
index 8b15b74..1108bdb 100644
--- a/sim/cr16/ChangeLog
+++ b/sim/cr16/ChangeLog
@@ -1,5 +1,9 @@
 2015-04-18  Mike Frysinger  <vapier@gentoo.org>
 
+	* sim-main.h (SIM_CPU): Delete.
+
+2015-04-18  Mike Frysinger  <vapier@gentoo.org>
+
 	* sim-main.h (sim_cia): Delete.
 
 2015-04-17  Mike Frysinger  <vapier@gentoo.org>
diff --git a/sim/cr16/sim-main.h b/sim/cr16/sim-main.h
index 1a80229..a63b93e 100644
--- a/sim/cr16/sim-main.h
+++ b/sim/cr16/sim-main.h
@@ -24,8 +24,6 @@
 typedef long int           word;
 typedef unsigned long int  uword;
 
-typedef struct _sim_cpu SIM_CPU;
-
 #include "sim-base.h"
 #include "bfd.h"
 
diff --git a/sim/cris/ChangeLog b/sim/cris/ChangeLog
index 4c81975..ff1cc93 100644
--- a/sim/cris/ChangeLog
+++ b/sim/cris/ChangeLog
@@ -1,5 +1,9 @@
 2015-04-18  Mike Frysinger  <vapier@gentoo.org>
 
+	* sim-main.h (_sim_cpu, SIM_CPU): Delete.
+
+2015-04-18  Mike Frysinger  <vapier@gentoo.org>
+
 	* sim-main.h (sim_cia): Delete.
 
 2015-04-17  Mike Frysinger  <vapier@gentoo.org>
diff --git a/sim/cris/sim-main.h b/sim/cris/sim-main.h
index 7eb74b5..6e50106 100644
--- a/sim/cris/sim-main.h
+++ b/sim/cris/sim-main.h
@@ -26,9 +26,6 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.  */
 
 #define USING_SIM_BASE_H
 
-struct _sim_cpu;
-typedef struct _sim_cpu SIM_CPU;
-
 #include "symcat.h"
 #include "sim-basics.h"
 #include "cgen-types.h"
diff --git a/sim/d10v/ChangeLog b/sim/d10v/ChangeLog
index a56d3ab..8960e6b 100644
--- a/sim/d10v/ChangeLog
+++ b/sim/d10v/ChangeLog
@@ -1,5 +1,9 @@
 2015-04-18  Mike Frysinger  <vapier@gentoo.org>
 
+	* sim-main.h (SIM_CPU): Delete.
+
+2015-04-18  Mike Frysinger  <vapier@gentoo.org>
+
 	* sim-main.h (sim_cia): Delete.
 
 2015-04-17  Mike Frysinger  <vapier@gentoo.org>
diff --git a/sim/d10v/sim-main.h b/sim/d10v/sim-main.h
index a7d59dd..0b87811 100644
--- a/sim/d10v/sim-main.h
+++ b/sim/d10v/sim-main.h
@@ -24,8 +24,6 @@
 typedef long int           word;
 typedef unsigned long int  uword;
 
-typedef struct _sim_cpu SIM_CPU;
-
 #include "sim-base.h"
 #include "bfd.h"
 
diff --git a/sim/frv/ChangeLog b/sim/frv/ChangeLog
index 750695f..c3562e8 100644
--- a/sim/frv/ChangeLog
+++ b/sim/frv/ChangeLog
@@ -1,5 +1,9 @@
 2015-04-18  Mike Frysinger  <vapier@gentoo.org>
 
+	* sim-main.h (_sim_cpu, SIM_CPU): Delete.
+
+2015-04-18  Mike Frysinger  <vapier@gentoo.org>
+
 	* sim-main.h (sim_cia): Delete.
 	(frv_sim_engine_halt_hook): Move below includes.
 
diff --git a/sim/frv/sim-main.h b/sim/frv/sim-main.h
index fd12c4f..077a47d 100644
--- a/sim/frv/sim-main.h
+++ b/sim/frv/sim-main.h
@@ -21,9 +21,6 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.  */
 
 #define USING_SIM_BASE_H /* FIXME: quick hack */
 
-struct _sim_cpu; /* FIXME: should be in sim-basics.h */
-typedef struct _sim_cpu SIM_CPU;
-
 /* Set the mask of unsupported traces.  */
 #define WITH_TRACE \
   (~(TRACE_alu | TRACE_decode | TRACE_memory | TRACE_model | TRACE_fpu \
diff --git a/sim/ft32/ChangeLog b/sim/ft32/ChangeLog
index 6274889..3553e68 100644
--- a/sim/ft32/ChangeLog
+++ b/sim/ft32/ChangeLog
@@ -1,5 +1,9 @@
 2015-04-18  Mike Frysinger  <vapier@gentoo.org>
 
+	* sim-main.h (SIM_CPU): Delete.
+
+2015-04-18  Mike Frysinger  <vapier@gentoo.org>
+
 	* sim-main.h (sim_cia): Delete.
 
 2015-04-17  Mike Frysinger  <vapier@gentoo.org>
diff --git a/sim/ft32/sim-main.h b/sim/ft32/sim-main.h
index a270a5d..b27a690 100644
--- a/sim/ft32/sim-main.h
+++ b/sim/ft32/sim-main.h
@@ -25,8 +25,6 @@
 #include "sim-base.h"
 #include "bfd.h"
 
-typedef struct _sim_cpu SIM_CPU;
-
 #include "ft32-sim.h"
 
 struct _sim_cpu {
diff --git a/sim/h8300/ChangeLog b/sim/h8300/ChangeLog
index 814a835..c7eb474 100644
--- a/sim/h8300/ChangeLog
+++ b/sim/h8300/ChangeLog
@@ -1,5 +1,9 @@
 2015-04-18  Mike Frysinger  <vapier@gentoo.org>
 
+	* sim-main.h (SIM_CPU): Delete.
+
+2015-04-18  Mike Frysinger  <vapier@gentoo.org>
+
 	* sim-main.h (sim_cia): Delete.
 
 2015-04-17  Mike Frysinger  <vapier@gentoo.org>
diff --git a/sim/h8300/sim-main.h b/sim/h8300/sim-main.h
index e95c4d9..6dbc1ac 100644
--- a/sim/h8300/sim-main.h
+++ b/sim/h8300/sim-main.h
@@ -87,9 +87,6 @@ enum h8_typecodes {
 };
 
 #include "sim-basics.h"
-
-typedef struct _sim_cpu SIM_CPU;
-
 #include "sim-base.h"
 
 /* Structure used to describe addressing */
diff --git a/sim/iq2000/ChangeLog b/sim/iq2000/ChangeLog
index c9ea375..a9db07a 100644
--- a/sim/iq2000/ChangeLog
+++ b/sim/iq2000/ChangeLog
@@ -1,5 +1,9 @@
 2015-04-18  Mike Frysinger  <vapier@gentoo.org>
 
+	* sim-main.h (_sim_cpu, SIM_CPU): Delete.
+
+2015-04-18  Mike Frysinger  <vapier@gentoo.org>
+
 	* sim-main.h (sim_cia): Delete.
 
 2015-04-17  Mike Frysinger  <vapier@gentoo.org>
diff --git a/sim/iq2000/sim-main.h b/sim/iq2000/sim-main.h
index ce3baba..bc45c78 100644
--- a/sim/iq2000/sim-main.h
+++ b/sim/iq2000/sim-main.h
@@ -6,9 +6,6 @@
 
 #define USING_SIM_BASE_H /* FIXME: quick hack */
 
-struct _sim_cpu; /* FIXME: should be in sim-basics.h */
-typedef struct _sim_cpu SIM_CPU;
-
 /* sim-basics.h includes config.h but cgen-types.h must be included before
    sim-basics.h and cgen-types.h needs config.h.  */
 #include "config.h"
diff --git a/sim/lm32/ChangeLog b/sim/lm32/ChangeLog
index 3109bbc..e267eaa 100644
--- a/sim/lm32/ChangeLog
+++ b/sim/lm32/ChangeLog
@@ -1,5 +1,9 @@
 2015-04-18  Mike Frysinger  <vapier@gentoo.org>
 
+	* sim-main.h (_sim_cpu, SIM_CPU): Delete.
+
+2015-04-18  Mike Frysinger  <vapier@gentoo.org>
+
 	* sim-main.h (sim_cia): Delete.
 
 2015-04-17  Mike Frysinger  <vapier@gentoo.org>
diff --git a/sim/lm32/sim-main.h b/sim/lm32/sim-main.h
index d37f74b..9a6ba1a 100644
--- a/sim/lm32/sim-main.h
+++ b/sim/lm32/sim-main.h
@@ -25,9 +25,6 @@
 
 #define USING_SIM_BASE_H	/* FIXME: quick hack */
 
-struct _sim_cpu;		/* FIXME: should be in sim-basics.h */
-typedef struct _sim_cpu SIM_CPU;
-
 #include "symcat.h"
 #include "sim-basics.h"
 #include "cgen-types.h"
diff --git a/sim/m32r/ChangeLog b/sim/m32r/ChangeLog
index dc82037..ff4767b 100644
--- a/sim/m32r/ChangeLog
+++ b/sim/m32r/ChangeLog
@@ -1,5 +1,9 @@
 2015-04-18  Mike Frysinger  <vapier@gentoo.org>
 
+	* sim-main.h (_sim_cpu, SIM_CPU): Delete.
+
+2015-04-18  Mike Frysinger  <vapier@gentoo.org>
+
 	* sim-main.h (sim_cia): Delete.
 
 2015-04-17  Mike Frysinger  <vapier@gentoo.org>
diff --git a/sim/m32r/sim-main.h b/sim/m32r/sim-main.h
index 6839a41..d296c53 100644
--- a/sim/m32r/sim-main.h
+++ b/sim/m32r/sim-main.h
@@ -5,9 +5,6 @@
 
 #define USING_SIM_BASE_H /* FIXME: quick hack */
 
-struct _sim_cpu; /* FIXME: should be in sim-basics.h */
-typedef struct _sim_cpu SIM_CPU;
-
 #include "symcat.h"
 #include "sim-basics.h"
 #include "cgen-types.h"
diff --git a/sim/m68hc11/ChangeLog b/sim/m68hc11/ChangeLog
index a5c9c5a..957abb5 100644
--- a/sim/m68hc11/ChangeLog
+++ b/sim/m68hc11/ChangeLog
@@ -1,5 +1,9 @@
 2015-04-18  Mike Frysinger  <vapier@gentoo.org>
 
+	* sim-main.h (SIM_CPU): Delete.
+
+2015-04-18  Mike Frysinger  <vapier@gentoo.org>
+
 	* sim-main.h (sim_cia): Delete.
 
 2015-04-17  Mike Frysinger  <vapier@gentoo.org>
diff --git a/sim/m68hc11/sim-main.h b/sim/m68hc11/sim-main.h
index 4f41db9..d1fc582 100644
--- a/sim/m68hc11/sim-main.h
+++ b/sim/m68hc11/sim-main.h
@@ -25,9 +25,6 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.  */
 #define SIM_HANDLES_LMA 1
 
 #include "sim-basics.h"
-
-typedef struct _sim_cpu SIM_CPU;
-
 #include "sim-signal.h"
 #include "sim-base.h"
 
diff --git a/sim/mcore/ChangeLog b/sim/mcore/ChangeLog
index 98ebb1e..915cc28 100644
--- a/sim/mcore/ChangeLog
+++ b/sim/mcore/ChangeLog
@@ -1,5 +1,9 @@
 2015-04-18  Mike Frysinger  <vapier@gentoo.org>
 
+	* sim-main.h (SIM_CPU): Delete.
+
+2015-04-18  Mike Frysinger  <vapier@gentoo.org>
+
 	* sim-main.h (sim_cia): Delete.
 
 2015-04-17  Mike Frysinger  <vapier@gentoo.org>
diff --git a/sim/mcore/sim-main.h b/sim/mcore/sim-main.h
index 25698c1..be50ec1 100644
--- a/sim/mcore/sim-main.h
+++ b/sim/mcore/sim-main.h
@@ -24,8 +24,6 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.  */
 typedef long int           word;
 typedef unsigned long int  uword;
 
-typedef struct _sim_cpu SIM_CPU;
-
 #include "sim-base.h"
 #include "bfd.h"
 
diff --git a/sim/microblaze/ChangeLog b/sim/microblaze/ChangeLog
index 560cc13..cd4be04 100644
--- a/sim/microblaze/ChangeLog
+++ b/sim/microblaze/ChangeLog
@@ -1,5 +1,9 @@
 2015-04-18  Mike Frysinger  <vapier@gentoo.org>
 
+	* sim-main.h (SIM_CPU): Delete.
+
+2015-04-18  Mike Frysinger  <vapier@gentoo.org>
+
 	* sim-main.h (sim_cia): Delete.
 
 2015-04-17  Mike Frysinger  <vapier@gentoo.org>
diff --git a/sim/microblaze/sim-main.h b/sim/microblaze/sim-main.h
index 4a5c5df..ab4e6af 100644
--- a/sim/microblaze/sim-main.h
+++ b/sim/microblaze/sim-main.h
@@ -20,9 +20,6 @@
 
 #include "microblaze.h"
 #include "sim-basics.h"
-
-typedef struct _sim_cpu SIM_CPU;
-
 #include "sim-base.h"
 
 /* The machine state.
diff --git a/sim/mips/ChangeLog b/sim/mips/ChangeLog
index 177d1d3..51b4b29 100644
--- a/sim/mips/ChangeLog
+++ b/sim/mips/ChangeLog
@@ -1,5 +1,9 @@
 2015-04-18  Mike Frysinger  <vapier@gentoo.org>
 
+	* sim-main.h (SIM_CPU): Delete.
+
+2015-04-18  Mike Frysinger  <vapier@gentoo.org>
+
 	* sim-main.h (sim_cia): Delete.
 
 2015-04-17  Mike Frysinger  <vapier@gentoo.org>
diff --git a/sim/mips/sim-main.h b/sim/mips/sim-main.h
index 8826857..e6bbd51 100644
--- a/sim/mips/sim-main.h
+++ b/sim/mips/sim-main.h
@@ -33,9 +33,6 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.  */
 mips_core_signal ((SD), (CPU), (CIA), (MAP), (NR_BYTES), (ADDR), (TRANSFER), (ERROR))
 
 #include "sim-basics.h"
-
-typedef struct _sim_cpu SIM_CPU;
-
 #include "sim-base.h"
 #include "bfd.h"
 
diff --git a/sim/mn10300/ChangeLog b/sim/mn10300/ChangeLog
index 1b649e2..bee772f 100644
--- a/sim/mn10300/ChangeLog
+++ b/sim/mn10300/ChangeLog
@@ -1,5 +1,9 @@
 2015-04-18  Mike Frysinger  <vapier@gentoo.org>
 
+	* sim-main.h (SIM_CPU): Delete.
+
+2015-04-18  Mike Frysinger  <vapier@gentoo.org>
+
 	* sim-main.h (sim_cia): Delete.
 	(SIM_ADDR): Delete comment.
 
diff --git a/sim/mn10300/sim-main.h b/sim/mn10300/sim-main.h
index 2ddbfb9..847506e 100644
--- a/sim/mn10300/sim-main.h
+++ b/sim/mn10300/sim-main.h
@@ -42,8 +42,6 @@
 #include "itable.h"
 #include "idecode.h"
 
-typedef struct _sim_cpu SIM_CPU;
-
 #define WITH_WATCHPOINTS 1
 
 #define SIM_CORE_SIGNAL(SD,CPU,CIA,MAP,NR_BYTES,ADDR,TRANSFER,ERROR)  \
diff --git a/sim/moxie/ChangeLog b/sim/moxie/ChangeLog
index 6ea5fef..22277bd 100644
--- a/sim/moxie/ChangeLog
+++ b/sim/moxie/ChangeLog
@@ -1,5 +1,9 @@
 2015-04-18  Mike Frysinger  <vapier@gentoo.org>
 
+	* sim-main.h (SIM_CPU): Delete.
+
+2015-04-18  Mike Frysinger  <vapier@gentoo.org>
+
 	* sim-main.h (sim_cia): Delete.
 
 2015-04-17  Mike Frysinger  <vapier@gentoo.org>
diff --git a/sim/moxie/sim-main.h b/sim/moxie/sim-main.h
index c60437e..b1a64fc 100644
--- a/sim/moxie/sim-main.h
+++ b/sim/moxie/sim-main.h
@@ -21,9 +21,6 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.  */
 #define SIM_MAIN_H
 
 #include "sim-basics.h"
-
-typedef struct _sim_cpu SIM_CPU;
-
 #include "sim-base.h"
 #include "bfd.h"
 
diff --git a/sim/msp430/ChangeLog b/sim/msp430/ChangeLog
index ce81693..c2205b5 100644
--- a/sim/msp430/ChangeLog
+++ b/sim/msp430/ChangeLog
@@ -1,5 +1,9 @@
 2015-04-18  Mike Frysinger  <vapier@gentoo.org>
 
+	* sim-main.h (SIM_CPU): Delete.
+
+2015-04-18  Mike Frysinger  <vapier@gentoo.org>
+
 	* sim-main.h (sim_cia): Delete.
 
 2015-04-17  Mike Frysinger  <vapier@gentoo.org>
diff --git a/sim/msp430/sim-main.h b/sim/msp430/sim-main.h
index fdc4151..f08f3e4 100644
--- a/sim/msp430/sim-main.h
+++ b/sim/msp430/sim-main.h
@@ -23,9 +23,6 @@
 
 #include "sim-basics.h"
 #include "sim-signal.h"
-
-typedef struct _sim_cpu SIM_CPU;
-
 #include "msp430-sim.h"
 #include "sim-base.h"
 
diff --git a/sim/sh/ChangeLog b/sim/sh/ChangeLog
index b776ad0d..2127ab8 100644
--- a/sim/sh/ChangeLog
+++ b/sim/sh/ChangeLog
@@ -1,5 +1,9 @@
 2015-04-18  Mike Frysinger  <vapier@gentoo.org>
 
+	* sim-main.h (SIM_CPU): Delete.
+
+2015-04-18  Mike Frysinger  <vapier@gentoo.org>
+
 	* sim-main.h (sim_cia): Delete.
 
 2015-04-17  Mike Frysinger  <vapier@gentoo.org>
diff --git a/sim/sh/sim-main.h b/sim/sh/sim-main.h
index e2e17d7..e67df28 100644
--- a/sim/sh/sim-main.h
+++ b/sim/sh/sim-main.h
@@ -20,9 +20,6 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.  */
 #define SIM_MAIN_H
 
 #include "sim-basics.h"
-
-typedef struct _sim_cpu SIM_CPU;
-
 #include "sim-base.h"
 
 typedef struct
diff --git a/sim/sh64/ChangeLog b/sim/sh64/ChangeLog
index 0dac7a7..f75140e 100644
--- a/sim/sh64/ChangeLog
+++ b/sim/sh64/ChangeLog
@@ -1,5 +1,9 @@
 2015-04-18  Mike Frysinger  <vapier@gentoo.org>
 
+	* sim-main.h (_sim_cpu, SIM_CPU): Delete.
+
+2015-04-18  Mike Frysinger  <vapier@gentoo.org>
+
 	* sim-main.h (CIA_ADDR): Define.
 
 2015-04-17  Mike Frysinger  <vapier@gentoo.org>
diff --git a/sim/sh64/sim-main.h b/sim/sh64/sim-main.h
index 8fb595e..1a1a2b7 100644
--- a/sim/sh64/sim-main.h
+++ b/sim/sh64/sim-main.h
@@ -5,9 +5,6 @@
 
 #define USING_SIM_BASE_H /* FIXME: quick hack */
 
-struct _sim_cpu; /* FIXME: should be in sim-basics.h */
-typedef struct _sim_cpu SIM_CPU;
-
 /* sim-basics.h includes config.h but cgen-types.h must be included before
    sim-basics.h and cgen-types.h needs config.h.  */
 #include "config.h"
diff --git a/sim/v850/ChangeLog b/sim/v850/ChangeLog
index 6b815d6..f47e33f 100644
--- a/sim/v850/ChangeLog
+++ b/sim/v850/ChangeLog
@@ -1,5 +1,9 @@
 2015-04-18  Mike Frysinger  <vapier@gentoo.org>
 
+	* sim-main.h (SIM_CPU): Delete.
+
+2015-04-18  Mike Frysinger  <vapier@gentoo.org>
+
 	* sim-main.h (sim_cia): Delete.
 
 2015-04-17  Mike Frysinger  <vapier@gentoo.org>
diff --git a/sim/v850/sim-main.h b/sim/v850/sim-main.h
index 16cbd97..5127d28 100644
--- a/sim/v850/sim-main.h
+++ b/sim/v850/sim-main.h
@@ -16,9 +16,6 @@
 #include "sim-basics.h"
 #include "sim-signal.h"
 #include "sim-fpu.h"
-
-typedef struct _sim_cpu SIM_CPU;
-
 #include "sim-base.h"
 
 #include "simops.h"